## org.apache.poi.hmef.attribute
Class MAPIDateAttribute

    java.lang.Object
      org.apache.poi.hmef.attribute.MAPIAttribute
          org.apache.poi.hmef.attribute.MAPIDateAttribute

    public final class MAPIDateAttribute

extends MAPIAttribute

A pure-MAPI attribute holding a Date, which applies to a `HMEFMessage` or one of its `Attachment`s.

Constructor Summary
`protected` `MAPIDateAttribute(MAPIProperty property, int type, byte[] data)` Constructs a single new date attribute from the id, type, and the contents of the stream

Method Summary
`static java.util.Date` `getAsDate(MAPIAttribute attr)` Returns the Date of a Attribute, converting as appropriate
`java.util.Date` `getDate()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hmef.attribute.MAPIAttribute
`create, getData, getProperty, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MAPIDateAttribute

    protected MAPIDateAttribute(MAPIProperty property,
                                int type,
                                byte[] data)

  Constructs a single new date attribute from the id, type, and the contents of the stream

Method Detail

### getDate

    public java.util.Date getDate()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MAPIAttribute`

### getAsDate

    public static java.util.Date getAsDate(MAPIAttribute attr)

  Returns the Date of a Attribute, converting as appropriate

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.